Skip Menu |
 

This queue is for tickets about the App-MatrixTool CPAN distribution.

Report information
The Basics
Id: 117840
Status: resolved
Priority: 0/
Queue: App-MatrixTool

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 0.05



Subject: Undeclared dependency App::MatrixTool::KeyStore (0.04)
Download (untitled) / with headers
text/plain 890b
Tests fail on some of my smoker machines, probably due to an undeclared dependency (or is the MANIFEST incomplete?): # Failed test 'use App::MatrixTool::KeyStore;' # at t/00use.t line 11. # Tried to use 'App::MatrixTool::KeyStore'. # Error: Can't locate App/MatrixTool/KeyStore.pm in @INC (you may need to install the App::MatrixTool::KeyStore module) (@INC contains: /home/cpansand/.cpan/build/2016091421/App-MatrixTool-0.04-g9yini/blib/lib /home/cpansand/.cpan/build/2016091421/App-MatrixTool-0.04-g9yini/blib/arch /usr/perl5.22.2p/lib/site_perl/5.22.2/amd64-freebsd /usr/perl5.22.2p/lib/site_perl/5.22.2 /usr/perl5.22.2p/lib/5.22.2/amd64-freebsd /usr/perl5.22.2p/lib/5.22.2 .) at t/00use.t line 11. # BEGIN failed--compilation aborted at t/00use.t line 11. # Looks like you failed 1 test of 6. t/00use.t .. Dubious, test returned 1 (wstat 256, 0x100) Failed 1/6 subtests
Download (untitled) / with headers
text/plain 931b
On Wed Sep 14 16:58:14 2016, SREZIC wrote: Show quoted text
> Tests fail on some of my smoker machines, probably due to an > undeclared dependency (or is the MANIFEST incomplete?): > need to install the App::MatrixTool::KeyStore module) (@INC contains: > /home/cpansand/.cpan/build/2016091421/App-MatrixTool-0.04- > g9yini/blib/lib /home/cpansand/.cpan/build/2016091421/App-MatrixTool- > 0.04-g9yini/blib/arch /usr/perl5.22.2p/lib/site_perl/5.22.2/amd64- > freebsd /usr/perl5.22.2p/lib/site_perl/5.22.2 > /usr/perl5.22.2p/lib/5.22.2/amd64-freebsd /usr/perl5.22.2p/lib/5.22.2 > .) at t/00use.t line 11.
Ah, no. What happened was I renamed KeyStore to ServerIdStore but forgot to update the unit tests. Tests didn't fail on my development machine because I still had the old version installed. That old problem... Anyway, test is fixed in latest source; I'll be bumping a new version soon enough anyway with more client commands. -- Paul Evans
Was fixed at 0.05 -- Paul Evans


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.